
*** 2.6.91 (development)

CDWserver

- more includes in InputStream.h

- fix use of CONFIGDIR environment variable

- reduce output of CDWverify to one per second


webCDcreator

- make connection dialog work again



*** 2.6.90 (development)

CDWserver

- some changes for KNOPPIX

- add -prcap to the simulation of cdrecord

- do not run the simulations as root

- configuration of MP3 decoder arguments which enables
  the use of different MP3 decoders like "lame"

- built-in web server: more complete HTTP 1.0 implementation

- manual writer list in case the auto detection fails

- "outdated page translation" warning


CDWserver Pro (non-GPL Linux binary)

- improved detection of blank DVDs


webCDcreator

- use java.io.listRoots() to get the active devices on Windows

- write the configuration (language, size of window, ...)
  to a file

- language selection dialog on first startup

- updated Hungarian messages (thanks to Kolb Zoltán)



*** 2.6.7

CDWserver

- use pthread_getspecific(key) instead of getpid()
  to identify the current thread

- built-in web server with virtual host support

- FreeBSD: use /dev/cd0

- some changes for FreeBSD 5.2.1 support

- MIME type definitions in /etc/CDWserver/mime.types

- use readcd to set the verify speed

- use the -pad option of cdrecord when writing image files
  since there seem to devices (like the Sony DRU-510A)
  that otherwise cannot read the last sectors

- ./configure creates "uninstall.sh" script

- use ".inf" files for CD text support

- better detection of writers by "cdrecord -prcap"


webCDcreator

- workaround for the "Java 1.4.2 Desktop Integration Problem"
  (see http://forum.java.sun.com/thread.jsp?forum=38&thread=430741)

- ask for a project description (optional)

- signed by a new certificate



*** 2.6.6

CDWserver

- make ATAPI devices work again

- on Linux 2.6 use ATAPI raw devices /dev/hdx by default

- a separate CSS layout file which can be selected in the
  web-based configuration

- support for PAM user authentication
    (thanks to Schlomo Schapiro, http://www.schapiro.org)
  use "--pam" with configure and activate it at
  http://the_server:12411/config/security.html#PAM

- the options "cdrdao", "MP3decoding", and "oggDecoding" now
  default to "off"


CDWserver Pro (non-GPL Linux binary)

- calculate MD5 sums of the files exported by the server

- new feature: save ISO images of client and/or server files
  at the client side


webCDcreator

- use the system look and feel

- make "Save audio project" work correctly

- faster server directory tree scan

- some small enhancements


rcdrecord

- fixes the "always verify" introduced in 2.6.5



*** 2.6.5

CDWserver

- protocol version 5

- fix mkisofsPath problem (Config.cpp)

- fix unmount problem in CDWverify of 2.6.4

- changed the default user and group to "cdwserve"

- instead of giving a --prefix to configure set the
  various directories at the beginning of the configure script

- moved some of the default directories to /var/CDWserver/
  /etc/CDWserver/export -> /var/CDWserver/export
  /etc/CDWserver/http -> /var/CDWserver/http
  /home/CDWserver/bin -> /var/CDWserver/bin
  /home/CDWserver/* -> /var/CDWserver/projects/

- with logLevel > 1 start each day a new log file


CDWserver Pro (non-GPL Linux binary)

- CDWpasswd and CDWuseradd to change the password of
  existing accounts and to create new accounts

- use all available writers to burn several copies of a project


webCDcreator

- local "Save project as..." and "Open project..."


rcdrecord

- copies=# option to burn several copies of a project
  at once (and with CDWserver Pro even at the same time
  on several writers)



*** 2.6.4

CDWserver

- fix: export .htm as text/html

- an estimated CD fixation progress bar

- do not write to /dev/null (Server.cpp)

- autodetection of "burnfree" support

- the option "burnproof" was renamed to "useBurnFree"
  which now defaults to "on"

- new config options: defaultSpeedAudio and defaultSpeedCD-RW

- collect informations for a built-in support form (Log.cpp)

- sort the devices: readers first, then the writers sorted
  by decreasing CD-R writing speed (Config.cpp)

- CDWserver will always reserve the first free device
  that supports your media type

- possibility to cancel the verification of a CD/DVD by CDWverify

- disable "deep directory relocation" by the "-D" option of mkisofs


CDWserver Pro (non-GPL Linux binary)

- ignore "imageOnTheFly=off" for DVDs (Server.cpp)

- show the state of the writer(s) while waiting for a writer


webCDcreator

- update of the French translation (Daniel Huhardeaux)

- Slovenian messages (Andrej Fercic)

- possibility to add the same file several times to audio CDs

- save medium and boot image to projects

- update of the Spanish messages (Ramón Palacios)


rcdrecord

- new option medium=DVD+RW to ensure the selection of
  a DVD writer

- ogg decoding for audio CDs



*** 2.6.3

CDWserver

- force the installation of CDWrootGate (Makefile.in)

- added /usr/sbin/useradd to the "Requires" of webCDwriter.spec

- only look for ATAPI devices, if there are no ide-scsi devices
  (Config.cpp)


CDWserver Pro (non-GPL Linux binary)

- prepare installer for other prefixes than /usr

- check for dvd+rw-format and dvd+rw-mediainfo

- better Sony DRU-510A DVD support


webCDcreator

- update of the Brazilian Portuguese messages (thanks to Joel Franco)

- update of the English user manual

- avoid protocol problems in case of several media questions
  to the user (Burn.java)


rcdrecord

- fix for %20 instead of spaces in file names



*** 2.6.2

CDWserver

- compare the setuid copies of cdrdao, cdrecord and mkisofs to
  their originals to keep them up to date

- as an option you may now define your own start page
  of the built-in web server in /etc/CDWserver/http/index.html
  (earlier versions always used status.html for this)


CDWserver Pro (non-GPL Linux binary)

- set the MKISOFS environment variable for growisofs

- run dvd+rw-mediainfo

- do not reload a DVD before ejecting it

- new feature: link predefined burn projects in your local web pages

- simplified protection against writing your files to a CD/DVD
  of someone else by a user ID on the medium

- set managedAccounts to disable free account creation


webCDcreator

- make CD copy option work again (MainWin.java)

- object tag update to Java 1.4 to (hopefully) fix
  problems with Java Plugin and IE (object.html)

- fix a bug in opening projects containing files exported
  by the server

- keyboard focus in the login dialog (LoginDialog.java)


rcdrecord

- DVD support when used with CDWserver Pro



*** 2.6.1

CDWserver

- make "change password" work again (with 2.5.2 and 2.6.0 you
  may run "chown cdwriter /etc/CDWserver/" as a workaround)

- prepare the spec file for RPM 4.1


webCDcreator

- make DVD blanking work with "auto" speed selection

- distinguish CD-R and CD-RW in the medium box

- Norwegian welcome page

- reject empty CD/DVD descriptions

- fix a race condition in server file access (List.java)

- progress bar and speed in MD5Verify



*** 2.6.0

CDWserver

- make the writer configuration work for writers with a "+"
  in the name by removing the enctype from the POST requests

- "resmgr patch" detection and help


webCDcreator

- Catalan translation (thanks to Aleix Badia i Bosch <abadia@ica.es>)



*** 2.6.0RC2

CDWserver

- configuration by web browser

- device configuration

- possibility to use a second CD-writer for on-the-fly copies

- replace colons in HFS volume IDs

- option to disable OGG support

- ATAPI device support (experimental)


CDWserver Pro (non-GPL Linux binary)

- DVD+R/+RW and DVD-R/-RW support by running the dvd+rw-tools

- put a special write protection key to the ISO image of data CDs

- check each CD for a webCDwriter write protection key
  and reject it, if invalid (can be disabled in the configuration)

- dvd+rw-tools-5.11.4.6.4 support


webCDcreator

- "Offline" button in the wait dialogs

- support for "webCDwriter write protection"

- support for HTML in the welcome dialog

- some filename validity and duplicate checks in the CD description



*** 2.5.2

CDWserver

- a "--version" argument was added to the growisofs dummy
  (CDWserver/test/growisofs.cpp)

- FreeBSD installation: use "cp -pfv" instead of "cp -afv" and
  install CDWserver start script to /usr/local/etc/rc.d/

- the getpwnam, getpwuid, getgrnam and getgrgid library functions
  were replaced to avoid problems with statically linked binaries
  (Config.cpp)

- shorten the volumeID of the ISO filesystem to 32 and the preparerID
  and publisherID to 128 characters if necessary (Server.cpp)

- some fixes in the Makefiles

- list all directories explicitly in the "%files" section of
  the RPM spec file (webCDwriter.spec)

- show MB instead of bytes session size on the status page


webCDcreator

- Norwegian and Dutch message updates

- update of the Dutch user manual thanks to Eric Hameleers

- gray background of the .jpg icons used by Netscape 4



*** 2.5.1

CDWserver

- some work on the configuration code (Config.h and Config.cpp)

- fix the size of files > 2 GB exported by the server

- fix "MD5Verify.jar not found" problem

- make FreeBSD compile (CDWverify.cpp)

- removed the dvd+rw-tools from the source tree to avoid conflicts
  with separate packages

- some fixes in the non-GPL DVD enabled version


webCDcreator

- make the use of the -dvd-video argument of growisofs work

- Ukrainian messages

- update of Dutch, Swedish and Norwegian messages

- a burn button

- handle I/O errors in MD5Verify

- now signed by a "Thawte Freemail Member" certificate



*** 2.5.0

CDWserver

- protocol extension to support the transfer of files of unknown size
  and to split the transfer of huge file into smaller blocks

- run ogg123 to convert .ogg files to WAV files for audio CDs

- run sox to get appropriate WAV files for audio CDs

- copy the cdrecord and mkisofs binaries to /home/CDWserver/bin/
  and set the owner and group of these copies for setuid execution

- fix: if logLevel < 3, block all level 3 and 4 log (Log.cpp)


webCDcreator

- adaptive file transfer block size (PutFiles.java)

- generate a file of MD5 sums (PutFiles.java)

- Ogg Vorbis support for audio CDs

- MD5Verify: a simple Java MD5 sums verifier

- put MD5Verify.jar to the root directory of all data CDs
  created with the MD5 sums option to support simple standalone
  CD verification

- better auto scrolldown of log output (Log.java)

- a new "New Project" dialog (NewProjectDialog.java)



*** 2.4.4

General

- repair the owner and mode of cdrecord and mkisofs on rpm uninstall

- update of dvd+rw-format and growisofs

- fix for tar installation: install dvd+rw-format and growisofs
  as group cdwriter


CDWserver

- fix logLevel >= 9 startup crash

- add pad sectors to data tracks < 1 MB to avoid problems
  with some CD-ROM drives (Server.cpp)

- do not reject to overwrite the contents of a CD-R, hide the
  previous sessions instead (do not use -M of mkisofs) (Server.cpp)

- do not use the "initgroups" functions because of a startup
  crash with a static linked CDWserver binary on a system
  that does not use /etc/group (CDWserver.cpp)

- set a valid cdrdaoPath (Config.cpp)


rcdrecord

- support for UTF-8 locales


webCDcreator

- limit the volume ID input to 32 characters (OptionsDialog.java)

- fix broken Netscape 4 support (CDcreator.java)

- shorten the UTF-8 length of file names to 64 charaters to
  avoid mkisofs timeouts (PutFiles.java)

- fix project load problem on Windows (Command.java)

- updated Swedish messages (Messages_sv.properties)



*** 2.4.3

CDWserver

- use "gracetime=2" (if available) when running cdrecord
  to blank, copy or write (Config.h, Server.cpp)

- optional overburn support

- optional use of UTF-8 to store file names (this currently
  requires a special mkisofs)

- CDWverify: maxSpeed option to limit the verify speed
  and some other enhancements


rcdrecord

- support "rcdrecord blank=fast" without burning a project


webCDcreator

- check frequency of audio files (has to be 44100 Hz)

- set the maximum size of a DVD+RW to
  4700372992 bytes = 4590208 KB = 4482 MB (MainWin.java)

- do not show the CD type selection at startup if there is
  no audio CD support (MainWin.java)

- CD-R 90 support depends on overburn support



*** 2.4.2

CDWserver

- replaced "const char *" exceptions by "Exeption" objects

- replaced File.getName() by File.getPath() to be Java compatible

- SIGHUP handler: reopen the log file

- explicit call to close after reading a file to fix
  a problem with Netscape 4.x

- use "gracetime=3" if available

- elaborate socket closing to avoid orphans

- force immediate server restarts by using the
  socket option SO_REUSEADDR

- use "-no-emul-boot" for non-floppy-size boot images < 10 MB
  and "-hard-disk-boot" for larger images

- make it possible to use portNo < 1024 (e.g. 80)
  in /etc/CDWserver/config


webCDcreator

- support session > 2 GB in PutFile and PutTrack

- a hide button in BurnDialog

- thread save Log.put()

- "cannot read file" dialog: "ignore" and "ignore all" options
  (PutFiles.java)

- "length of file name above 31 characters" dialog (PutFiles.java)

- "do you really want to format/overwrite" dialog (MainWin.java)

- try to get the executable bit of UNIX files by running "ls -l"

- changed the preferred certificate to a "keytool" generated one

- make the progress bar in PutTracks.java work for audio tracks



*** 2.4.1

CDWserver

- Dutch web pages (thanks to Eric Hameleers)

- "list" the length of exported MP3 and WAV files in seconds

- new logLevel based log file mechanism

- copy the global cdrdao to /home/CDWserver/bin/
  and set the owner, group and mode (Config.cpp)

- several small fixes


webCDcreator

- medium selection and size bar

- preparations for DVD+RW support

- Hungarian (Magyar) messages (thanks to Kolb Zoltán)



*** 2.4.0

CDWserver

- French web pages (thanks to Daniel Huhardeaux)

- fixed a small bug in writer detection (Config.cpp)

- auto refresh of the status page (HTTPServer.cpp)
  (thanks to Mathias Leinmueller for the idea)

- simple one-writer multi copy support

- experimental use of cdrdao to copy audio and data CDs
  (set cdrdao=on in /etc/CDWserver/config to activate it)


rcdrecord

- allocate arrays by malloc to make it more portable
  (thanks to Klaus-Martin Hansche)


webCDcreator

- French user manual (thanks to Daniel Huhardeaux)

- height limitation of speed selection box (OptionsDialog.java)

- it´s now possible to choose the local "Sources"
  of webCDcreator by a
      sources=/home,/opt
or
      sources=A:\,C:\windows\Desktop
line in one of the following files
      $HOME/.webCDcreator.cfg
      /etc/webCDcreator.cfg
      $HOME/webCDcreator.cfg
      C:\webCDcreator.cfg

- a Makefile fix thanks to Richard Houser

- update of the Swedish messages thanks to David Nordenberg

- solved the new account dialog hang with recent Java
  on Windows (NewAccountDialog.java)



*** 2.3c

CDWserver

- internationalized web pages

- a workaround for USB writers (Cdrecord.cpp)


rcdrecord

- allocate 32 KB buffer as static to fix a problem
  with gcc 3.0.3 on HP-UX (Client2.cpp)


webCDcreator

- hopefully better changeable medium handling

- on demand loading of language files to simplify
  the testing of translations

- start the applet with the preferred language of the browser



*** 2.3b

CDWserver

- fixed a memory leak in PrintWriter.cpp

- catch exceptions in StatusServer

- mkisofsArgs in Config

- added an universal spec file and special init.d files

- now accepts empty fields in the header of HTTP requests
  (this should fix problems with Mozilla and perhaps some proxies)

- fixed another memory leak in Session.cpp


webCDcreator

- Brazilian Portuguese (pt_BR) and Swedish messages

- fixed locks when transmitting files in PutFiles.java

- a status button in QueueDialog.java

- fixed some small repaint bugs



*** 2.3

CDWserver

- client connections and status/http requests now share
  a single port (defaults to 12411)

- serves the webCDcreator HTML pages and *.jar files (no
  need for an extra web server any more)

- integration of the different web pages with the
  starting point http://host:12411

- some steps towards a Java port


webCDcreator

- new (hopefully better) javac detection in configure



*** 2.2c

CDWserver

- fixes the thread memory leak by calling pthread_detach

- uses UTF-8 to encode non-8-bit characters of file names

- Java Web Start on the status page


webCDcreator

- fixes the "Open project" bug introduced in 2.2

- protocol version 4: transmit control characters as %HH
  and non-ASCII characters as %uHHHH



*** 2.2b

webCDcreator

- fixes the progress bar of audio track transmission



*** 2.2

webCDcreator

- for data CDs the CD description shows the size of files
  and directories

- for audio CDs the CD description shows the min:sec length
  of the tracks

- Russian messages

- use Heapsort algorithm to sort directories

- do not open files of length 0 like UNIX pipes



*** 2.1

CDWserver

- support for mono MP3s

- new option ejectOnDone to enable/disable CD ejection


webCDcreator

- "Java Web Start" support

- signed by an updated certificate



*** 2.0

CDWserver

- automatic termination of hanging mkisofs

- new option ejectOnReservation


webCDcreator

- enhanced "About" dialog

- new debugging output mechanism

- fixed installCA space and download problems

- enhanced web pages

- Polish and Norwegian messages

- first version of a font dialog to display fonts
  which support Asian locales



*** 20010626

CDWserver

- fixed new line insertion to the accounts file

- the directory /var/ftp/pub/ was replaced by /etc/CDWserver/export/
  to contain the files and directories exported by CDWserver

- added progress estimation to CD-RW blanking

- the -force argument was removed from CD-RW blanking


webCDcreator

- the files and directories exported by CDWserver are now directly
  added to the "sources"

- CD-RW blanking options dialog, and functional progress bar



*** 20010618

CDWserver

- the password was removed from the internal session IDs


webCDcreator

- installCA tool for installing the TC TrustCenter root CA
  certificate to the cacerts keystore of the JRE

- new feature: possibility to completely blank CD-RWs

- restructuring of the webCDcreator web pages



*** 20010606

CDWserver

- fixed file name bug introduced in 20010522: "\_" -> " "

- abort the writing process in case of the cdrecord output
  "Re-load disk and hit <CR>"


webCDcreator

- Dutch User Manual

- enhanced "Open Project" dialog



*** 20010531

webCDcreator

- a project stores now the steps executed by the user instead of the
  files and directories added to the CD description
  (Attention: projects created by 20010522 will not work any more)

- some layout enhancements

- better CD size counter

- a Dutch translation file



*** 20010522

CDWserver

- store size bug fixed

- user accounts bound to eMail addresses

- possibility to save a project on the server


rcdrecord

- updated user accounts support


webCDcreator

- user accounts support

- possibility to save and open projects



*** 20010503

CDWserver

- user accounts

- temporary sessions with lifetime bound to the connection

- fix for a bug concerning the verification of a CD copy


rcdrecord

- --ID option to reference a session

- --list option to show the sessions available on the server



*** 20010417

CDWserver

- fixed session queue IDs in Store.cpp, now using connection numbers

- use of RPM_BUILD_ROOT in the Makefiles

- some preparation for user accounts


webCDcreator

- removed the need to set the server in the applet start pages

- moved the translations to the directory i18n

- some internal changes



*** 20010322

CDWserver

- Disc-at-once option for audio CDs (experimental)


webCDcreator

- French messages added, more complete Spanish messages



*** 20010315

CDWserver

- add the size of server files to the session size (Session.cpp)

- autodetect CDROMs for copying (Config.cpp)

- copying data CDs on the server ("on the fly" CD-ROM -> writer)


webCDcreator

- build in use of a Unicode font for Chinese and Korean

- a copy menu item

- restructured options dialog



*** 20010228

CDWserver

- verifying sessions by the external command CDWverify


rcdrecord

- option "verify"


webCDcreator

- Korean messages support

- language selection menu

- the server name is now detected by the applet

- option "verify"



*** 20010219

CDWserver

- modified mpg123 test
- status page showing the configuration


webCDcreator

- fixed an array index bug in DirTreeNode.remove(int)



*** 20010211

CDWserver

- multi CD writer support merged in



*** 20010209

webCDcreator

- Chinese message file (Messages_zh_TW.properties) added



*** 20010208

rcdrecord-1.0.2

- open(..., "r") replaced by open(..., "rb") for Windows support

- win32.html added

- now tries to get the default server from /etc/rcdrecord.conf
(CommandArgs.h)

- a spec file for RPM packages was added



*** 20010205

webCDcreator

- File2.java: workaround for missing File.listFiles() method
in JRE 1.1 (required for Netscape 4.x)

- PutFiles.java, PutTracks.java: replace space characters
in filenames before sending them to the server

- ServerFile.java: replace \ by / in getPath()



*** 20010204

CDWserver

- protocol extensions for server side software archive


webCDcreator

- node to server side software archive

- the directory sorting order was changed



*** 1.0.1

CDWserver

- The user that should run CDWserver is now always set in
the main thread before creating any other threads (as in 1.0rc4).
This fixes problems setting the user of all threads after
configuration errors.

- a bug concerning session IDs was fixed (Session.cpp, Store.cpp)


rcdrecord

- files2cd now rejects nonregular files



*** 1.0

CDWserver

- additional configuration checks (Config.cpp)
- displaying the remaining reservation time on status page (Status.cpp)
- some changes in process logging (Process.cpp)


rcdrecord

- the limit of 100 files on the command line was removed
- unreadable directory bug was fixed
- configure script


webCDcreator

some changes on the applet start pages



*** 1.0rc4

a configure script was added, the Makefiles were adapted,
the documentation was updated


CDWserver

Cdrecord.cpp
	a progress bar bug introduced in 1.0rc3 was fixed

Config.h, Config.cpp, Server.cpp
	new options burnProof, cdrecordArgs,
	logRequests, logSubProcess, logVerbose and removeSessions

Store.h, Store.cpp
	interrupt session removal, if the FIFO of cdrecord is below 100%


rcdrecord

count files transmitted

--force option to ignore unreadable files



*** 1.0rc3

CDWserver

when writing and fifo < 100% stop storing files of other sessions

protocol cleanup (Hints.h)

FreeBSD support


rcdrecord

the option --dir=DIR was added to change the working directory
before transmitting the files

detecting WAV- and MP3-tracks by the extension
